Eclipse Platform Release 3.7

## org.eclipse.jface.text.source
Interface ILineDifferExtension

    public interface ILineDifferExtension

Extension interface for `ILineDiffer`.

Introduces the concept of suspending a differ. A `ILineDiffer` may be suspended into a dormant state, and resumed to normal operation.

Since:
  3.1

Method Summary
`void` `resume()` Resumes the receiver.
`void` `suspend()` Suspends the receiver.

Method Detail

### suspend

    void suspend()

  Suspends the receiver. All differences are cleared.

### resume

    void resume()

  Resumes the receiver. Must only be called after suspend.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.